Subject: Re: [QGIT PATCH/RFC]

From: Abdelrazak Younes <[email-masked]>
Date: Thu, 05 Nov 2009 11:19:11 +0100

Abdelrazak Younes wrote:
> Marco Costalba wrote:
>>
>>>  uint qHash(const ShaString& s) { // fast path, called 6-7 times per
>>> revision
>>>
>>>     
>>
>> Function:
>>
>> uint qHash(const QByteArray&);
>>
>> is already defined in the Qt Core libraries, so I have a link error
>> with your patch.
>>   
>
> By the way, this function of yours is not used anywhere AFAICS.

Ok, now I understand that this is used by QHash, sorry.

I have gcc-4.4.1 so maybe that's the reason why linking works in my 
case. But I don't which version of the qhash() function does take 
precedence...

Abdel.